Marks the run as successfully completed with optional result data.
curl --request POST \
--url https://api.strait.dev/sdk/v1/runs/{runID}/complete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"result": "<unknown>"
}
'{
"attempt": 123,
"created_at": "2023-11-07T05:31:56Z",
"debug_mode": true,
"id": "<string>",
"job_id": "<string>",
"job_version": 123,
"lineage_depth": 123,
"priority": 123,
"project_id": "<string>",
"status": "<string>",
"triggered_by": "<string>",
"$schema": "<string>",
"batch_id": "<string>",
"concurrency_key": "<string>",
"continuation_of": "<string>",
"created_by": "<string>",
"error": "<string>",
"error_class": "<string>",
"execution_mode": "<string>",
"execution_trace": {
"connect_ms": 123,
"dequeue_ms": 123,
"dispatch_ms": 123,
"queue_wait_ms": 123,
"total_ms": 123,
"transfer_ms": 123,
"ttfb_ms": 123
},
"expires_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"heartbeat_at": "2023-11-07T05:31:56Z",
"idempotency_key": "<string>",
"job_version_id": "<string>",
"machine_id": "<string>",
"max_attempts_override": 123,
"metadata": {},
"next_retry_at": "2023-11-07T05:31:56Z",
"parent_run_id": "<string>",
"payload": "<unknown>",
"result": "<unknown>",
"retry_backoff": "<string>",
"retry_initial_delay_secs": 123,
"retry_max_delay_secs": 123,
"scheduled_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"tags": {},
"timeout_secs_override": 123,
"workflow_step_run_id": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://docs.strait.dev/llms.txt
Use this file to discover all available pages before exploring further.
API key passed as Bearer token
OK
A URL to the JSON Schema for this object.
"https://api.strait.dev/schemas/JobRun.json"
Show child attributes
Show child attributes
Show child attributes
curl --request POST \
--url https://api.strait.dev/sdk/v1/runs/{runID}/complete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"result": "<unknown>"
}
'{
"attempt": 123,
"created_at": "2023-11-07T05:31:56Z",
"debug_mode": true,
"id": "<string>",
"job_id": "<string>",
"job_version": 123,
"lineage_depth": 123,
"priority": 123,
"project_id": "<string>",
"status": "<string>",
"triggered_by": "<string>",
"$schema": "<string>",
"batch_id": "<string>",
"concurrency_key": "<string>",
"continuation_of": "<string>",
"created_by": "<string>",
"error": "<string>",
"error_class": "<string>",
"execution_mode": "<string>",
"execution_trace": {
"connect_ms": 123,
"dequeue_ms": 123,
"dispatch_ms": 123,
"queue_wait_ms": 123,
"total_ms": 123,
"transfer_ms": 123,
"ttfb_ms": 123
},
"expires_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"heartbeat_at": "2023-11-07T05:31:56Z",
"idempotency_key": "<string>",
"job_version_id": "<string>",
"machine_id": "<string>",
"max_attempts_override": 123,
"metadata": {},
"next_retry_at": "2023-11-07T05:31:56Z",
"parent_run_id": "<string>",
"payload": "<unknown>",
"result": "<unknown>",
"retry_backoff": "<string>",
"retry_initial_delay_secs": 123,
"retry_max_delay_secs": 123,
"scheduled_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"tags": {},
"timeout_secs_override": 123,
"workflow_step_run_id": "<string>"
}